## ToolsFavorites

ToolsFavorites

## Functions

GSList * | gda_tools_favorites_get_actions ()
void | gda_tools_favorites_free_action ()
void | gda_tools_favorites_free_actions_list ()

## Types and Values

| ToolsFavoriteAction

## Description

## Functions

### gda_tools_favorites_get_actions ()

    GSList *
    gda_tools_favorites_get_actions (ToolsFavorites *bfav,
                                     BrowserConnection *bcnc,
                                     GdaSet *set);

Get a list of ToolsFavoriteAction which can be executed with the data in `set` .

#### Parameters

bfav | a ToolsFavorites |
bcnc | a BrowserConnection |
set | a GdaSet |

#### Returns

a new list of ToolsFavoriteAction, free list with `gda_tools_favorites_free_actions()`

### gda_tools_favorites_free_action ()

    void
    gda_tools_favorites_free_action (ToolsFavoriteAction *action);

Frees `action`

#### Parameters

action | a ToolsFavoriteAction, or `NULL`. | [allow-none]

### gda_tools_favorites_free_actions_list ()

    void
    gda_tools_favorites_free_actions_list (GSList *actions_list);

Free a list of ToolsFavoriteAction (frees the list and each ToolsFavoriteAction)

#### Parameters

actions_list | a list of ToolsFavoriteAction, or `NULL`. | [allow-none]

## Types and Values

### ToolsFavoriteAction

    typedef struct {
    	gint                  id;
    	gchar                *name;
    	GdaStatement         *stmt;
    	GdaSet               *params;
    	gint                  nb_bound; /* number of GdaHolders in @params which are bound
    					 * to another GdaHolder */
    } ToolsFavoriteAction;